package cn.com.poc.ai_data_audit.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.ai_data_audit.entity.BizAiDataAuditFileEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizAiDataAuditFileService extends BaseService {

    BizAiDataAuditFileEntity get(java.lang.Integer id) throws Exception;

    List<BizAiDataAuditFileEntity> findByExample(BizAiDataAuditFileEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAiDataAuditFileEntity save(BizAiDataAuditFileEntity entity) throws Exception;

    BizAiDataAuditFileEntity update(BizAiDataAuditFileEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;

    void batchSavedFile(List<BizAiDataAuditFileEntity> bizAiDataAuditFileEntityList) throws Exception;
}